# Uses of Class
org.apache.avro.SchemaBuilder.FieldBuilder

Packages that use SchemaBuilder.FieldBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.FieldBuilder in org.apache.avro

Fields in org.apache.avro declared as SchemaBuilder.FieldBuilder
Modifier and Type
Field
Description
`protected final SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.BaseFieldTypeBuilder.`bldr`
Methods in org.apache.avro that return SchemaBuilder.FieldBuilder
Modifier and Type
Method
Description
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldAssembler.`name(String fieldName)`
Add a field with the given name.
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`notValidatingDefaults()`
Skip field default value validation during `completeField(Schema, JsonNode)`}
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`orderAscending()`
Set this field to have ascending order.
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`orderDescending()`
Set this field to have descending order.
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`orderIgnore()`
Set this field to ignore order.
`protected SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`self()`
`SchemaBuilder.FieldBuilder<R>`
SchemaBuilder.FieldBuilder.`validatingDefaults()`
Validate field default value during `completeField(Schema, JsonNode)`.
Constructors in org.apache.avro with parameters of type SchemaBuilder.FieldBuilder
Modifier
Constructor
Description
`protected`
`BaseFieldTypeBuilder(SchemaBuilder.FieldBuilder<R> bldr, org.apache.avro.SchemaBuilder.CompletionWrapper wrapper)`